Subject: Re: RFC 1345 mnemonics table not consistent with Unicode 3.2.0

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 4 Sep 2007 19:10:46 -0700

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: <[email-masked]>
> Cc: "Simon Josefsson" <[email-masked]>; "Ben Finney" <[email-masked]>
> Sent: Friday, August 31, 2007 11:33 AM
> Subject: Re: RFC 1345 mnemonics table not consistent with Unicode 3.2.0
...
> None of those provides a list of short mnemonic strings for Unicode 
> characters, such as a' for "a with acute" and o/ for "o with stroke" and 
> j3 for "Greek iota below."  This is what Ben is looking for.
...

What is "mnemonic" also depends on the language in use, even if written using
Latin alphabet.  For example, RFC 1456 was much more mnemonic for Vietnamese,
and still sees some use not only as an input method, but as an encoding,
despite the ubiquity of Unicode support.

I see mail almost weekly that uses RFC 1465.  I don't recall seeing mail that
used RFC 1345.  But please don't read this as voicing support for RFC 1456!
My point is solely that context is important in determining what is "mnemonic".

Randy

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Frank Ellermann" <[email-masked]>
Date: Sun, 16 Sep 2007 18:24:45 +0200

John C Klensin wrote:
 
> Ned Freed wrote:
[...]
>> To the extent RFC 1345 is problematic, it is because its domain
>> of applicability is quite limited. But within that narrow
>> domain it actually can perform a useful function.
 
> Agreed. And perhaps that suggests a way forward if people are
> willing to do the work (from my point of view, your efforts and
> Ben's would probably be most of what is needed; I'd be happy to
> review and maybe make whatever small contributions I could).

+1

A version of Lynx uses these mnemonics for Unicode points when
it's forced to limit its output to "codepage 850" characters.  
The effect was acceptable for en and de documents, or at least
better than displaying question marks.  I'd probably prefer to
see a clearly delimited hex. representation in most cases, but
that's a matter of taste and besides not the application Ben has
in mind.

So if somebody has a real application for these mnemonics they'd
clearly wish that it's up to date and correct as far as possible.
An I-D also discussing the alternatives and limitations would be
fine.  

> a set of code-mnemonics for a specific, identified, subset of
> characters is reasonable and a core problem with 1345 is that
> it attempts to be much too broad.

I'm not sure about "reasonable", but it's certainly "possible".
 
> If an offspring of 1345 were defined as having, e.g., only
> European languages using Roman-derived scripts in scope, then
> I think there is more than adequate expertise around to review
> a proposal and sufficient stability to not be affected by Unicode
> changes, and that there should be no significant issue with IETF
> sign-off or even standardization.

Drawing the line will be difficult, RFC 1345 tried to cover more
than MES-1.

Frank